Incidents/Additional Responders
This endpoint is used to get the incident additional responders.
Requires
access_tokenas aBearer {{token}}in theAuthorizationheader.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/incidents/{incidentID}/additional-responders HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"additional_responders": [
{
"id": "text",
"type": "text",
"name": "text",
"time_of_assignment": "text"
}
]
}
}This endpoint is used to add additional responders to an Incident.
Requires
access_tokenas aBearer {{token}}in theAuthorizationheader.
Request body for adding additional responders to an incident.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/incidents/{incidentID}/additional-responders HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"additional_responders": [
{
"id": "text",
"type": "text"
}
]
}{
"data": {
"additional_responders": [
{
"id": "text",
"type": "text",
"name": "text",
"time_of_assignment": "text"
}
]
}
}This endpoint is used to remove an additional responder from an Incident.
Requires
access_tokenas aBearer {{token}}in theAuthorizationheader.
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/incidents/{incidentID}/additional-responders/{responderID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}Last updated